<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">


    <ProgressBar
        android:id="@+id/progressV"
        android:layout_width="@dimen/_35sdp"
        android:layout_height="@dimen/_35sdp"
        android:layout_centerInParent="true"
        android:visibility="gone"/>

    <LinearLayout
        android:id="@+id/dateLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:visibility="gone">
        <TextView
            android:id="@+id/chooseDateRange"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:padding="@dimen/_6sdp"
            android:text=""
            android:textSize="@dimen/details_text_size" />

    </LinearLayout>

    <com.facebook.shimmer.ShimmerFrameLayout
        android:id="@+id/shimmer_view_container1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:orientation="vertical"
        app:shimmer_duration="800">

        <include layout="@layout/recipe_placeholder_item" />

    </com.facebook.shimmer.ShimmerFrameLayout>

    <LinearLayout
        android:id="@+id/topLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        >
        <com.google.android.material.button.MaterialButton
            android:id="@+id/aeps1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:textColor="@color/colorBluee"
            android:fontFamily="@font/nunito_bold"
            android:text="1\nAePS"
            android:textAllCaps="false"/>
        <com.google.android.material.button.MaterialButton
            android:id="@+id/aeps2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:textColor="@color/colorBlack"
            android:fontFamily="@font/nunito_bold"
            android:text="2\nAePS"
            android:textAllCaps="false"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/detailsLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/card_padding"
        android:layout_marginRight="@dimen/card_padding"
        android:layout_marginTop="@dimen/card_padding"
        android:orientation="horizontal"
        android:layout_below="@+id/topLayout"
        android:weightSum="2">

        <TextView
            android:id="@+id/totalreport"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:gravity="left"
            android:text=""
            android:fontFamily="@font/nunito_regular"
            android:textSize="@dimen/details_text_size" />

        <TextView
            android:id="@+id/amount"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="left"
            android:text=""
            android:fontFamily="@font/nunito_regular"
            android:textSize="@dimen/details_text_size" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_below="@+id/detailsLayout"
        android:padding="@dimen/card_padding">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/reportRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/appbarLayout"
            android:layout_centerHorizontal="true"
            android:scrollbars="vertical" />

        <TextView
            android:id="@+id/noData"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center_horizontal"
            android:padding="@dimen/card_padding"
            android:text="@string/noReport"
            android:textSize="@dimen/title_text_size"
            android:visibility="gone" />

    </LinearLayout>


</RelativeLayout>
